import request from '/@/utils/request';

export function workApprovalApi() {
    return {
        // 分页获取审批列表
        getApprovalListPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/pending/page/list`,
                method: 'post',
                data: data
            });
        },

        // 获取当前层级审批数据
        getApprovalData: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/approval/pending/data`,
                method: 'post',
                data: data
            });
        },

        // 获取当前层级审批进度
        getApprovalStatus: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/approver/approved/view`,
                method: 'post',
                data: data
            });
        },

        // 终止当前审批进度
        postAbord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/abord`,
                method: 'post',
                data: data
            });
        }
    };
}
